# Getting Started

> **Note**: Make sure you have completed the [React Native - Environment Setup](https://reactnative.dev/docs/environment-setup) instructions till "Creating a new application" step, before proceeding.

## Step 1: Install dependencies

```bash
yarn install
```

## Step 2: Start your Application

### For Android

```bash
yarn android
```

### For iOS

```bash
yarn ios
```

If everything is set up _correctly_, you should see your new app running in your Android Emulator or iOS Simulator shortly provided you have set up your emulator/simulator correctly.

This is one way to run your app — you can also run it directly from within Android Studio and Xcode respectively.

# Troubleshooting

If you can't get this to work, see the [Troubleshooting](https://reactnative.dev/docs/troubleshooting) page.

# Learn More

To learn more about React Native, take a look at the following resources:

- [React Native Website](https://reactnative.dev) - learn more about React Native.
- [Getting Started](https://reactnative.dev/docs/environment-setup) - an **overview** of React Native and how setup your environment.
- [Learn the Basics](https://reactnative.dev/docs/getting-started) - a **guided tour** of the React Native **basics**.
- [Blog](https://reactnative.dev/blog) - read the latest official React Native **Blog** posts.
- [`@facebook/react-native`](https://github.com/facebook/react-native) - the Open Source; GitHub **repository** for React Native.

## Utility scripts

### Start metro server

```bash
yarn start
```

### Linting code

```bash
yarn lint
```

### Run tests

```bash
yarn test
```

### Create a release apk

```bash
yarn build:apk:release
```

### Crear REMOTE CONFIG

- [ ] [Ir a Firebase](https://console.firebase.google.com/)
- [ ] Seleccionar  **Crear Proyecto** 
- [ ] Indicar SmartStop en Nombre del proyecto, Aceptar condiciones y Continuar
- [ ] Ir a Configuración del Proyecto (Icono de engranage en menú superior izquierdo)
- [ ] En sección tus apps, agregar app Android (click en icono android).
- [ ] En nombre del paquete Android colocar: **com.smartstop**
- [ ] Dejar vacios los valores opcionales, y hacer click en Registrar App.
- [ ] En menú lateral izquierdo seleccionar Remote Config
- [ ] Click en crear Configuración.
- [ ] Agregar los siguientes parametros con los valores correspondientes:

        "PASSWORD": "pass",
        "UPDATE_BUSES_LIST_INTERVAL": "60000" (de tipo numerico),
        "HEADER_IMAGE_URL": "https://cdn-icons-png.flaticon.com/512/8371/8371047.png",
        "CHANGE_PAGE_INTERVAL": "20000" (de tipo numerico),
        "RUT": "rut user",
        "USER": "usaurio",
        "BASE_URL": "https://gestion.cl"
- [ ] Ir a Configuración del Proyecto (Icono de engranage en menú superior izquierdo)
- [ ] En sección tus apps, Seleccionar com.smartstop 
- [ ] Descargar archivo google-services.json y reemplazarlo en el proyecto de la apliación


